Retrieves all db notes

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_notes
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_table_id

Table Id db notes linked to

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

db_table_name

Foreign key to the table this db_notes is linked to (Possibles values are company,jobs,project,task) using table name

string

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id on the given table on which db note linked to

globally unique identifier

Required

user_id

Created User ID

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating a db_notes

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating a db_notes

user

Optionally required : user_id, user_code or user must be provided

date_add

Date Added. is on the local user time.

date
dateutc_add

Date Added. Auto-filled by NOW if empty

date
notes

Notes

string

Required

reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6d3e0d96-ef0e-48f1-a099-8c6af2ce156e",
  "db_table_id": "a26199a5-37be-4059-a6cf-f2fe7a0a50b3",
  "db_table_name": "sample string 3",
  "id_in_table": "9b5cf5e9-e6c0-4390-a3e7-114db0ed6f7b",
  "user_id": "0a64a6ae-5168-428d-a811-dc40dd8084e3",
  "user_code": "sample string 6",
  "date_add": "2026-10-28T21:47:28.7323613+00:00",
  "dateutc_add": "2026-10-28T21:47:28.7323613+00:00",
  "notes": "sample string 9",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-10-28T21:47:28.7323613+00:00"
}